# **create-app-fastapi**  

A simple CLI tool to creating a FastAPI project with a predefined structure, including APIs,DB, models, schemas, and settings for a quick start to development.

### **Installation**
To install this package, use the following command:  
```bash
pip install create-app-fastapi
```

### **Usage**
After installation, create a new FastAPI project by running:  
```bash
pip install create-app-fastapi
```

### **Output**
The generated project will have the following structure:

```
root-folder/
|- APIs/
|  |- __init__.py
|  |- api.py
|- models/
|  |- __init__.py
|  |- model.py
|- schemas/
|  |- __init__.py
|  |- schema.py
|- settings/
|  |- __init__.py
|  |- auth.py
|  |- config.py
|  |- db.py
|- testcase/
|  |- __init__.py
|  |- test_main.py
|- venv/
|-.gitignore
|- main.py
|- requirements.txt
```


### Features

* Predefined project structure for FastAPI applications.
* Includes APIs, models, schemas, and settings files.
* Ready-to-use database connection file (db.py).
* Simplifies setting up new FastAPI projects.


    ------- Happy Coding! 🎉  --------
